Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.grails.async.transform.internal
[Java] Interface DelegateAsyncTransactionalMethodTransformer

    public interface DelegateAsyncTransactionalMethodTransformer

Interface for a class that handles transforming async transactional methods

Authors:
  Graeme Rocher

Since:
  2.3

Method Summary
`void` | `transformTransactionalMethod(org.codehaus.groovy.ast.ClassNode classNode, org.codehaus.groovy.ast.ClassNode delegateClassNode, org.codehaus.groovy.ast.MethodNode methodNode, org.codehaus.groovy.ast.expr.ListExpression promiseDecoratorLookupArguments)`

Method Detail

### transformTransactionalMethod

    public void transformTransactionalMethod(org.codehaus.groovy.ast.ClassNode classNode, org.codehaus.groovy.ast.ClassNode delegateClassNode, org.codehaus.groovy.ast.MethodNode methodNode, org.codehaus.groovy.ast.expr.ListExpression promiseDecoratorLookupArguments)

Groovy Documentation